desmume (0.9.11-6) unstable; urgency=medium

  * Team upload
  * Drop glade GUI (Closes: #967858)
  * Drop old menu file

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 17:32:56 +0200

desmume (0.9.11-5) unstable; urgency=medium

  * Team upload
  * Remove retired Uploader (Closes: #876903)
  * Build using libagg2-dev (Closes: #920921)
  * Set Priority: optional

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 22:53:34 +0000

desmume (0.9.11-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * make the build reproducible (Closes: #890312)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 01 Dec 2022 10:44:49 -0800

desmume (0.9.11-4) unstable; urgency=medium

  * Team upload
  * Convert to 3.0 source format (Closes: #1007443)
  * Drop outdated Vcs fields

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 23:40:49 +0100

desmume (0.9.11-3) unstable; urgency=medium

  * Import upstream patch to fix FTBFS with GCC7
    Closes: #853372

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Oct 2017 11:23:03 +0200

desmume (0.9.11-2) unstable; urgency=medium

  * Import upstream patch to fix FTBFS with GCC6
    Closes: #811691

 -- Evgeni Golov <evgeni@debian.org>  Sat, 12 Nov 2016 11:22:03 +0100

desmume (0.9.11-1) unstable; urgency=medium

  * New upstream release.
    + Does not segfault in IA__gdk_cairo_create anymore.
      Closes: #801833
  * Update d/copyright.
  * Standards-Version: 3.9.6
  * Use dh-autoreconf

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Nov 2015 21:41:17 +0100

desmume (0.9.10-2) unstable; urgency=medium

  * Fix FTBFS on *BSD due to sysctl() not taking const parameters.
    Patch from upstream SVN trunk.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 23 Mar 2014 14:24:31 +0100

desmume (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01_use_system_tinyxml.patch against 0.9.10.
  * Correct Vcs-* URLs to point to anonscm.debian.org
  * Standards-Version: 3.9.5
  * add keywords to desktop files, thanks lintian

 -- Evgeni Golov <evgeni@debian.org>  Sun, 23 Mar 2014 12:49:09 +0100

desmume (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01_use_system_tinyxml.patch against 0.9.9.
  * Add libsoundtouch-dev to Build-Depends.
  * Use dh tiny rules and compat 9.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 May 2013 21:14:45 +0200

desmume (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Thanks Peter Green for the NMU!
  * Drop patches, applied upstream:
    + 01_fix_mode_t_on_kfreebsd.patch
    + 02_add_gzFile_casts.patch
  * Add libgtkglext1-dev to Build-Depends
  * Drop README.TRANSLATION from debian/docs, it was droped upstream.
  * Update debian/copyright
  * Add 01_use_system_tinyxml.patch to link against the system tinyxml.
    + Also add libtinyxml-dev to Build-Depends
  * Update debian/copyright for latest format spec
  * Standards-Version: 3.9.3
  * Add build-arch and build-indep targets.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 01 May 2012 15:11:28 +0200

desmume (0.9.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/02_add_gzFile_casts.patch:
    Add some casts for compatibility with current zlib (Closes: #664914)

 -- Peter Michael Green <plugwash@p10link.net>  Wed, 04 Apr 2012 22:09:07 +0000

desmume (0.9.7-2) unstable; urgency=low

  * Add 01_fix_mode_t_on_kfreebsd.patch to fix FTBFS on kfreebsd-*.
    Closes: #618778

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Mar 2011 15:33:12 +0100

desmume (0.9.7-1) unstable; urgency=low

  * New upstream release.
    Closes: #613365
  * Update debian/copyright to DEP5.
  * Standards-Version: 3.9.1.
  * Add BSD license to debian/copyright.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Mar 2011 23:48:38 +0100

desmume (0.9.6-1-1) unstable; urgency=low

  * New upstream release.
    + Adding --gbaslot-rom= workaround for embedded file system.
      LP: #575234
  * Remove 01_fix_sz_FTBFS_564788.patch, included upstream.
  * Standards-Version: 3.8.4
  * Add debian/NEWS about the new config file location.
  * Add debian/source/format, we're still 1.0.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 25 May 2010 15:55:23 +0200

desmume (0.9.5-2) unstable; urgency=low

  * debian/patches:
    + Add 01_fix_sz_FTBFS_564788.patch to fix FTBFS.
      Closes: #564788

 -- Evgeni Golov <evgeni@debian.org>  Tue, 19 Jan 2010 17:20:29 +0100

desmume (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Update my e-mail address and copyright years.
  * debian/control:
    + Add libagg-dev B-D.
  * debian/patches:
    + Drop all patches, either applied or superseded by upstream.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 03 Jan 2010 20:30:35 +0100

desmume (0.9.4-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added patch 02_build-with-gcc-4.4.patch. Closes: #539545

  [ Devid Antonio Filoni ]
  * Add 03_build-on-hurd.patch patch, fix FTBFS on hurd-i386, patch taken from
    upstream SVN revision 2754.

  [ Evgeni Golov ]
  * Standards-Version: 3.8.3, no changes needed.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 01 Sep 2009 17:09:34 +0200

desmume (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Fix typo in Guillaume's mail address.
  * debian/control:
    + Standards-Version: 3.8.2
  * debian/pacthes/02_manpage-fixes.patch:
    + Drop the patch, was applied upstream.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 15 Jul 2009 00:15:46 +0200

desmume (0.9.2-1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control:
    + Remove DM-Upload-Allowed: yes - I'm DD now.
    + Thus also update my e-mail address.
    + Add B-D on libosmesa6-dev and drop the one on libgtkglext1-dev,
      upstream says this is the safer way to go.
  * debian/patches/01_gfx3d.h_64bit_fix.patch:
    + Drop the patch, it's included in this release.
  * debian/patches/01_link-with-GL.patch:
    + Add patch (ACKed by upstream) to link against libGL, so we don't
      FTBFS when using --as-needed.
  * debian/patches/02_manpage-fixes.patch:
    + Fix hyphens in manpages, thanks lintian.
  * debian/rules:
    + Build with --enable-osmesa.
  * debian/watch:
    + Update watchfile to match a - in the version string.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 02 May 2009 22:35:04 +0200

desmume (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/contol:
    + Bump Standards-Version to 3.8.1.
    + Wrap Uploaders and Build-Depends.
    + Remove Reinhard Tartler and Cyril Brulebois from Uploaders on their
      requests. Thanks for your work!
    + Set DM-Upload-Allowed: yes.
  * debian/copyright:
    + Add my copyright.
    + Wrap some very long lines.
  * debian/patches/01_gfx3d.h_64bit_fix.patch:
    + New patch from upstream SVN, fixes function definitions in gfx3d.h
      and makes desmume build again on 64bit arches.

 -- Evgeni Golov <sargentd@die-welt.net>  Sat, 18 Apr 2009 10:31:00 +0200

desmume (0.9.1-1) unstable; urgency=low

  * New upstream release.
    + Doesn't try to setup a 24bit drawing area but reuse the current one.
      Closes: #455749
  * debian/rules:
    + Configure with --enable-gdb-stub. (Closes: #484683)
    + Don't set CFLAGS, let dpkg handle them.
    + Make the build-system more cross-build friendly.
    + Use dh_clean instead of rm -f in the clean target.
    + Don't install manpages, upstream does that now.
    + Link with --as-needed to strip direct dependencies.
  * debian/control:
    + Add ${misc:Depends} to Depends of desmume.
    + Bump Standards-Version to 3.8.0.
  * debian/patches:
    + Disable 01-dont_crash_on_bad_3d.patch, it was pulled from upstream
      and is present in the current version.
  * debian/README.source:
    + Add information on quilt usage as suggested by policy.
  * debian/watch:
    + Update the regex to match only numerical versions (0.9, not 0.9-mac).
  * debian/copyright:
    + Update to machine readable format.
    + Check copyright more carefully.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 12 Feb 2009 02:55:17 +0100

desmume (0.8-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Remove Homepage semi-field from description

  [ Cyril Brulebois ]
  * Update config.{guess,sub} before running configure and remove them in
    the clean target, instead of updating them in the clean target, so as
    to keep the Debian diff clean, and also prevent an FTBFS with the new
    “3.0 (quilt)” source package format.
  * Drop debian/patches/fix-64bit-segfault.diff, since it's already
    applied upstream, and would cause an FTBFS under the same conditions
    as above, thanks to Raphaël Hertzog for the notice (Closes: #485033).
  * Update my mail address.

  [ Evgeni Golov ]
  * Add debian/patches/01-dont_crash_on_bad_3d.patch, so we don't crash
    when 3D can't be enabled correctly. (Closes: #509365)
  * Use $(QUILT_STAMPFN) instead of patch.
  * Add myself to uploaders.
  * Update the menu file for section Applications, not Apps.

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 24 Dec 2008 01:40:40 +0100

desmume (0.8-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Reinhard Tartler ]
  * new upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 May 2008 15:34:39 +0200

desmume (0.7.3-3) unstable; urgency=low

  [ Pascal Giard ]
  * [debian/control]: Added Build-Dep on quilt.
  * [debian/rules]: Apply/unapply patches using quilt.
  * [debian/patches/fix-64bit-segfault.diff]:
    - Fix possible segfault on 64bit CPUs (closes: #435763).

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:41:37 +0000

desmume (0.7.3-2) unstable; urgency=low

  * [debian/control]:
   - Added Build-Dep on intltool.

 -- Pascal Giard <pascal@debian.org>  Tue, 04 Sep 2007 18:44:56 -0400

desmume (0.7.3-1) unstable; urgency=low

  * [debian/rules]:
    - Removed dos2unix/unix2dos calls, no longer needed (closes: #435531).
    - Specified localedir to workaround intltool Makefile.in.in weird behavior.
  * [debian/control]: Removed Build-Dep on tofrodos, no longer needed.
  * [debian/docs]: Added README.TRANSLATION.
  * [debian/dirs]: Added localization directory.

 -- Pascal Giard <pascal@debian.org>  Mon, 03 Sep 2007 13:35:50 -0400

desmume (0.7.2-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * [debian/control]:
   - Added a B-D on tofrodos, which solves the FTBFS due to a missing
     `unix2dos', thanks Kartik Mistry (Closes: #435217).

  [ Reinhard Tartler ]
   - Add Cyril to uploaders
   - M-x whitespace-cleanup debian/rules
   - don't fail when Makefile fails in clean target. Thanks to lintian for
    finding this.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Sep 2007 09:47:25 +0200

desmume (0.7.2-2) unstable; urgency=low

  * [debian/rules]:
   - Fixed gnome menu entries (upstream tarball encoding problem).
   - Added debian menu entries.
  * [debian/menu]:
   - Added debian menu entries.

 -- Pascal Giard <pascal@debian.org>  Sun, 29 Jul 2007 23:55:59 -0400

desmume (0.7.2-1) unstable; urgency=low

  [ Pascal Giard ]
  * Upload to unstable (closes: #405616).
  * [debian/README.Debian]:
    - Procedure updated reflecting previous changes.
    - Clarified CVS build instructions.
  * [debian/rules]:
    - Removed CFLAGS="-D_REENTRANT" as it was slowing things down considerably.
    - Install glade interfaces.
    - Install desktop menu files.
  * [debian/docs]:
    - Removed empty files.
    - Added AUTHORS file.
  * [debian/dirs]: Added directories for glade interfaces.
  * [debian/desmume-cli.1, debian/desmume-glade.1]:
    Added manpages for command-line and glade binairies.
  * [debian/copyright]:
    - Added LGPL license note for glade-xml.c and gtk/dev-cpp/* .
	
  [ Reinhard Tartler ]
  * Change maintainer to 'Debian Games Team'

 -- Pascal Giard <pascal@debian.org>  Fri, 27 Jul 2007 16:27:43 -0400

desmume (0.6.0-0ubuntu1) feisty; urgency=low

  * Initial release (Closes: #405616)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Feb 2007 19:22:16 +0100

